Fedora Online Forum

Lavori in corso! I nostri pinguini sono all'opera e risolveranno i problemi il prima possibile ;-)

#1 02-12-2015 10:14:59

Caterpillar
Fedora nel sangue
Registrato: 23-02-2009
Messaggi: 1'827

[Risolto] Darktable 2.0 EPEL7

Avrei bisogno di una mano nel capire come mai il pacchetto non compila per EPEL7. In origine la dipendenza

osm-gps-map-devel

non poteva essere risolta, così essendo in contatto con il maintainer su OpenSUSE, ho tentato di copiare il suo approccio, in quanto anche lui ha un problema simile su alcune versioni di OpenSUSE.
Tuttavia la cosa non ha funzionato, e dai log non vedo nulla di strano... Mah
https://copr.fedoraproject.org/coprs/ge … ld/144208/
Il file spec, per un immediato utilizzo, è presente all'indirizzo
https://fedorapeople.org/~germano/darktable.spec

Ultima modifica di Caterpillar (02-04-2016 21:54:09)


Fedora ha bisogno di nuovi traduttori da lingua inglese a lingua italiana. Se vuoi partecipare visita il sito http://fedoraproject.org/wiki/L10N_Italian_Team

Non in linea

#2 02-12-2015 10:49:36

giallu
Collaboratore
Da Perugia
Registrato: 22-01-2009
Messaggi: 103
Sito web

Re: [Risolto] Darktable 2.0 EPEL7

Io vedo:

--   found gtk+-3.0, version 3.8.8
CMake Error at cmake/modules/FindGTK3.cmake:52 (message):
  GTK3 version check failed.  Version 3.8.8 was found, at least version 3.10
  is required

Gianluca Sforna - Fedora Ambassador
http://morefedora.blogspot.com

Non in linea

#3 02-12-2015 10:59:51

Caterpillar
Fedora nel sangue
Registrato: 23-02-2009
Messaggi: 1'827

Re: [Risolto] Darktable 2.0 EPEL7

giallu ha scritto:

Io vedo:

--   found gtk+-3.0, version 3.8.8
CMake Error at cmake/modules/FindGTK3.cmake:52 (message):
  GTK3 version check failed.  Version 3.8.8 was found, at least version 3.10
  is required

Ah ok, ieri sera non ci avevo fatto caso, cercavo altri errori. Quindi niente, per EPEL7 non si può compilare


Fedora ha bisogno di nuovi traduttori da lingua inglese a lingua italiana. Se vuoi partecipare visita il sito http://fedoraproject.org/wiki/L10N_Italian_Team

Non in linea

#4 02-12-2015 11:34:57

fale
Fedora Ambassador
Da London, UK
Registrato: 05-09-2014
Messaggi: 107
Sito web

Re: [Risolto] Darktable 2.0 EPEL7

Si può compilare (almeno per quello che riguarda le GTK) perché con RHEL7.2 sono arrivate le GTK 3.14.13 e EPEL si basa su RHEL e non su CentOS

Non in linea

#5 02-12-2015 11:39:14

Caterpillar
Fedora nel sangue
Registrato: 23-02-2009
Messaggi: 1'827

Re: [Risolto] Darktable 2.0 EPEL7

fale ha scritto:

Si può compilare (almeno per quello che riguarda le GTK) perché con RHEL7.2 sono arrivate le GTK 3.14.13 e EPEL si basa su RHEL e non su CentOS

Quindo arriveranno pure sul builder di Copr?


Fedora ha bisogno di nuovi traduttori da lingua inglese a lingua italiana. Se vuoi partecipare visita il sito http://fedoraproject.org/wiki/L10N_Italian_Team

Non in linea

#6 02-12-2015 11:51:00

fale
Fedora Ambassador
Da London, UK
Registrato: 05-09-2014
Messaggi: 107
Sito web

Re: [Risolto] Darktable 2.0 EPEL7

Caterpillar ha scritto:
fale ha scritto:

Si può compilare (almeno per quello che riguarda le GTK) perché con RHEL7.2 sono arrivate le GTK 3.14.13 e EPEL si basa su RHEL e non su CentOS

Quindo arriveranno pure sul builder di Copr?

Prima o poi si, ma non so quando. Al momento Koji compila già correttamente con RHEL7.2, quindi puoi fare le scratchbuilds

Non in linea

#7 14-12-2015 23:33:27

Caterpillar
Fedora nel sangue
Registrato: 23-02-2009
Messaggi: 1'827

Re: [Risolto] Darktable 2.0 EPEL7

fale ha scritto:
Caterpillar ha scritto:
fale ha scritto:

Si può compilare (almeno per quello che riguarda le GTK) perché con RHEL7.2 sono arrivate le GTK 3.14.13 e EPEL si basa su RHEL e non su CentOS

Quindo arriveranno pure sul builder di Copr?

Prima o poi si, ma non so quando. Al momento Koji compila già correttamente con RHEL7.2, quindi puoi fare le scratchbuilds

Pensa te, Copr invece ancora non va


Fedora ha bisogno di nuovi traduttori da lingua inglese a lingua italiana. Se vuoi partecipare visita il sito http://fedoraproject.org/wiki/L10N_Italian_Team

Non in linea

#8 14-12-2015 23:35:57

fale
Fedora Ambassador
Da London, UK
Registrato: 05-09-2014
Messaggi: 107
Sito web

Re: [Risolto] Darktable 2.0 EPEL7

Caterpillar ha scritto:
fale ha scritto:
Caterpillar ha scritto:
fale ha scritto:

Si può compilare (almeno per quello che riguarda le GTK) perché con RHEL7.2 sono arrivate le GTK 3.14.13 e EPEL si basa su RHEL e non su CentOS

Quindo arriveranno pure sul builder di Copr?

Prima o poi si, ma non so quando. Al momento Koji compila già correttamente con RHEL7.2, quindi puoi fare le scratchbuilds

Pensa te, Copr invece ancora non va

Oggi è stata rilasciata CentOS 7.2, quindi a breve (penso entro fine settimana) arriverà anche in COPR

Non in linea

#9 11-03-2016 11:50:54

Caterpillar
Fedora nel sangue
Registrato: 23-02-2009
Messaggi: 1'827

Re: [Risolto] Darktable 2.0 EPEL7

Ho installato nel mio Copr repo tutte le dipendenze mancanti per EPEL7, dopodiché ho caricato il src.rpm file di darktable 2.0.2, tuttavia ottengo il log di errore
https://copr-be.cloud.fedoraproject.org … ain.log.gz
del quale mi salta agli occhi la riga

[2016-03-11 07:30:56,215][ ERROR][PID:23054] Failed to obtain srpm from dist-git

come fa a dire che non riesce ad ottenere il file srpm quando gliel'ho caricato a mano?

La build è https://copr.fedorainfracloud.org/coprs … ld/167391/

Ultima modifica di Caterpillar (11-03-2016 11:51:28)


Fedora ha bisogno di nuovi traduttori da lingua inglese a lingua italiana. Se vuoi partecipare visita il sito http://fedoraproject.org/wiki/L10N_Italian_Team

Non in linea

#10 02-04-2016 21:54:15

Caterpillar
Fedora nel sangue
Registrato: 23-02-2009
Messaggi: 1'827

Re: [Risolto] Darktable 2.0 EPEL7

+- Changed %if 0%{with_osm_gps_map_devel} to %if 0%{?with_osm_gps_map_devel}


Fedora ha bisogno di nuovi traduttori da lingua inglese a lingua italiana. Se vuoi partecipare visita il sito http://fedoraproject.org/wiki/L10N_Italian_Team

Non in linea

Piè di pagina